ExecutorPlugin (smart-executor-client 1.0.0-3.7.0 API)
Date: 2015-05-19

org.gcube.vremanagement.executor.client.plugins

## Class ExecutorPlugin

- java.lang.Object
- - org.gcube.vremanagement.executor.client.plugins.AbstractPlugin<org.gcube.vremanagement.executor.api.SmartExecutor,SmartExecutorProxy>
  - - org.gcube.vremanagement.executor.client.plugins.ExecutorPlugin

- All Implemented Interfaces:
    org.gcube.common.clients.delegates.ProxyPlugin<EndpointReference,org.gcube.vremanagement.executor.api.SmartExecutor,SmartExecutorProxy>, org.gcube.common.clients.Plugin<org.gcube.vremanagement.executor.api.SmartExecutor,SmartExecutorProxy>

      public class ExecutorPlugin
      extends AbstractPlugin<org.gcube.vremanagement.executor.api.SmartExecutor,SmartExecutorProxy>

  Author:
    Luca Frosini (ISTI - CNR) http://www.lucafrosini.com/

- - ### Field Summary

    - ### Fields inherited from class org.gcube.vremanagement.executor.client.plugins.AbstractPlugin

      `name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExecutorPlugin()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Exception` | `convert(Exception fault, org.gcube.common.clients.config.ProxyConfig<?,?> proxyConfig)`
    `static org.gcube.common.clients.ProxyBuilder<SmartExecutorProxy>` | `getExecutorProxy()`
    `static org.gcube.common.clients.ProxyBuilder<SmartExecutorProxy>` | `getExecutorProxy(String pluginName, Tuple<String,String>... tuples)`
    `static org.gcube.common.clients.ProxyBuilder<SmartExecutorProxy>` | `getExecutorProxy(String pluginName, Tuple<String,String>[] tuples, ServiceEndpointQueryFilter serviceEndpointQueryFilter, EndpointDiscoveryFilter endpointDiscoveryFilter)`
    `SmartExecutorProxy` | `newProxy(org.gcube.common.clients.delegates.ProxyDelegate<org.gcube.vremanagement.executor.api.SmartExecutor> proxyDelegate)`
    `org.gcube.vremanagement.executor.api.SmartExecutor` | `resolve(EndpointReference endpoint, org.gcube.common.clients.config.ProxyConfig<?,?> proxyConfig)`

    - ### Methods inherited from class org.gcube.vremanagement.executor.client.plugins.AbstractPlugin

      `name, namespace, serviceClass, serviceName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExecutorPlugin

          public ExecutorPlugin()

  - ### Method Detail

    - #### getExecutorProxy

          public static org.gcube.common.clients.ProxyBuilder<SmartExecutorProxy> getExecutorProxy(String pluginName,
                                                                                   Tuple<String,String>[] tuples,
                                                                                   ServiceEndpointQueryFilter serviceEndpointQueryFilter,
                                                                                   EndpointDiscoveryFilter endpointDiscoveryFilter)

    - #### getExecutorProxy

          @SafeVarargs
          public static org.gcube.common.clients.ProxyBuilder<SmartExecutorProxy> getExecutorProxy(String pluginName,
                                                                                               Tuple<String,String>... tuples)

    - #### getExecutorProxy

          public static org.gcube.common.clients.ProxyBuilder<SmartExecutorProxy> getExecutorProxy()

    - #### convert

          public Exception convert(Exception fault,
                          org.gcube.common.clients.config.ProxyConfig<?,?> proxyConfig)

    - #### newProxy

          public SmartExecutorProxy newProxy(org.gcube.common.clients.delegates.ProxyDelegate<org.gcube.vremanagement.executor.api.SmartExecutor> proxyDelegate)

    - #### resolve

          public org.gcube.vremanagement.executor.api.SmartExecutor resolve(EndpointReference endpoint,
                                                                   org.gcube.common.clients.config.ProxyConfig<?,?> proxyConfig)
                                                                     throws Exception

      Throws:
        `Exception`

Copyright © 2015. All Rights Reserved.